PARTED(8)

NAZWA
parted - program do edycji partycji

SKŁADNIA
parted [opcje] [urządzenie [polecenie [opcje-polecenia...]...]]

OPIS
parted jest programem do zmieniania partycji dyskowych. Obsługuje wiele formatów tablic partycji, w tym MS-DOS i GPT. Jest przydatny do tworzenia miejsca dla nowych systemów operacyjnych, reorganizacji użycia dysku i kopiowania danych na nowe dyski twarde.

Niniejszy podręcznik zwięźle opisuje program parted. Pełna dokumentacja jest dystrybuowana razem z pakietem w formacie GNU Info.

OPCJE

-h, --help
    wyświetla komunikat pomocy

-l, --list
    wypisuje rozkład partycji na wszystkich urządzenia blokowych

-m, --machine
    wypisuje wynik w formacie odczytywalnym maszynowo

-j, --json
    wyświetla wynika w formacie JSON

-s, --script
    nigdy nie prosi użytkownika o interwencję

-f, --fix
    automatycznie odpowiada "fix" (napraw) do wyjątków w trybie script

-v, --version
    wyświetla wersję

-a typ-wyrównania, --align typ-wyrównania
    Ustawia wyrównanie dla nowo tworzonych partycji, prawidłowe wartości to:

    none
        Używa minimalnego wyrównania dozwolonego w danym typie dysku

    cylinder
        Wyrównuje partycje do cylindrów.

    minimal
        Używa minimalnego wyrównania wynikającego z informacji o topologii dysku. Opcja ta, podobnie jak wartość "optimal" użyje informacji o rozkładzie, udostępnionej przez dysk, do wyrównania adresów tablic partycji logicznych do rzeczywistych, fizycznych bloków na dysku. Wartość "minimal" jest minimalnym wyrównaniem potrzebnym do poprawnego wyrównania partycji do fizycznych bloków, pozwalającej na uniknięcie spadku wydajności.

    optimal
        Używa optymalnego wyrównania wynikającego z informacji o topologii dysku. Opcja ta wyrównuje do wielokrotności rozmiaru fizycznych bloków w sposób gwarantujący optymalną wydajność.

POLECENIA

[urządzenie]
    Urządzenie blokowe do wykonania operacji. Gdy nie poda się żadnego, parted użyje pierwszego odnalezionego urządzenia blokowego.

[polecenie [opcje-polecenia]]
    Podaje polecenie do wykonania. Jeśli nie poda się polecenia, parted wyświetli znak zachęty. Dostępne polecenia to:

    help [polecenie]
        Wyświetla pomoc ogólną, lub - jeśli podano polecenie - jego pomoc.

    align-check typ partycja
        Sprawdza, czy partycja spełnia wymagania wyrównania podanego typu. Typ to jedna z wartości: minimal lub optimal.

    mklabel typ-tablicy
        Tworzy nową tablicę partycji (zwaną tu nieco myląco etykietą dysku - ang. disklabel - tłum.) typu-tablicy. Typ-tablicy może przyjąć wartość: aix, amiga, bsd, dvh, gpt, loop, mac, msdos, pc98 lub sun.

    mkpart [typ-partycji nazwa typ-systemu-plików] początek koniec
        Tworzy nową partycję. Typ-partycji można podać tylko w tablicach partycji msdos i dvh, powinien wtedy przyjąć jedną z wartości: primary (podstawowa), logical (logiczna) albo extended (rozszerzona). Nazwa jest wymagana dla tablic partycji GPT, a typ-systemu-plików jest opcjonalny. Typ-systemu-plików może przyjąć wartość: btrfs, ext2, ext3, ext4, fat16, fat32, hfs, hfs+, linux-swap, ntfs, reiserfs, udf lub xfs.

    name partycja nazwa
        Ustawia nazwę partycji. Opcja działa wyłącznie w tablicach partycji Mac, PC98 i GPT. Nazwę można podać w podwójnych cudzysłowach ("), jeśli to konieczne. W zależności od powłoki, może być konieczne dodatkowe ich opatrzenie pojedynczymi cudzysłowami ('), aby powłoka nie usunęła podwójnych cudzysłowów przed przekazaniem polecenia programowi.

    print typ-wyświetlania
        Wyświetla tablicę partycji. Typ-wyświetlania jest opcjonalny, może przyjąć wartość: devices, free, list lub all.

    quit
        Wychodzi z parted.

    rescue początek koniec
        Odzyskuje utraconą partycję zlokalizowaną gdzieś pomiędzy początkiem a końcem. Jeśli uda się odnaleźć partycję, parted zapyta o utworzenie dla niej wpisu w tablicy partycji.

    resizepart partycja koniec
        Zmienia położenia końca partycji. Proszę zauważyć, że nie modyfikuje to systemu plików obecnego na tej partycji.

    rm partycja
        Usuwa partycję.

    select urządzenie
        Wybiera urządzenie jako aktualne urządzenie do edycji. Urządzenie powinno być zwykle linuksowym urządzeniem dysku twardego, ale jeśli to konieczne może być również partycją, urządzeniem programowej macierzy raid lub woluminu logicznego LVM.

    set partycja flaga stan
        Zmienia stan flagi na partycji. Obsługiwane flagi to: boot, root, swap, hidden, raid, lvm, lba, legacy_boot, irst, msftres, esp, chromeos_kernel, bls_boot, linux-home, no_automount, bios_grubi palo. Stan powinien przyjąć wartość on (włączona) lub off (wyłączona).

    unit jednostka
        Ustawia jednostkę używaną do wyświetlania lokalizacji i rozmiarów oraz interpretacji jako podanej przez użytkownika, jeśli nie poda się jawnie jednostki. Jednostką mogą być: s (sektory), B (bajty), kB, KiB, MB, MiB, GB, GiB, TB, TiB, % (procent rozmiaru urządzenia), cyl (cylindry), chs (cylindry, głowice, sektory) lub compact (megabajty przy wpisywaniu i najbardziej odpowiednie, przyjazne dla użytkownika jednostki przy wyświetlaniu).

    toggle partycja flaga
        Przełącza stan flagi na partycji.

    type partycja identyfikator|uuid
        W przypadku MS-DOS ustawia typ partycji, zwany inaczej identyfikatorem partycji, na identyfikator. Identyfikatorem jest wartość z przedziału od "0x01" do "0xff". W przypadku GPT ustawia typ-uuid partycji na uuid.

    disk_set flaga stan
        Zmienia stan flagi na dysku. Flaga może być włączona (on) lub wyłączona (off). Mogą być dostępne wybrane lub wszystkie z poniższych flag, w zależności od tablicy partycji. Obsługiwane flagi to: pmbr_boot w przypadku tablicy partycji GPT, aby włączyć flagę rozruchu (boot) zastrzeżonej partycji MBR GPT.

    disk_toggle flaga
        Przełącza stan flagi dysku.

    version
        Wyświetla informacje o wersji i prawach autorskich.

ZGŁASZANIE BŁĘDÓW
Raporty o błędach można wysyłać do <bug-parted@gnu.org>

ZOBACZ TAKŻE
fdisk(8), mkfs(8), pełna dokumentacja programu parted w formacie info(1) podręcznika GNU partitioning software, dystrybuowana w pakiecie Debiana parted-doc.

AUTOR
Niniejsza strona podręcznika systemowego została napisana przez Timshela Knolla <timshel@debian.org>, dla dystrybucji Debian GNU/Linux (ale może być używana przez inne).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.